<!-- //////////////////////START-BRAND-LIST////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Filtro de marca</h2>
        <br><br>
        <form role="form" method="GET" action="{{path_for('brand-list')}}">
            <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-view-stream"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="brand_type" id="brand_type_filter" data-placeholder="Tipo de marca">
                                <option></option>
                                {% for brand_type in brand_types %}
                                    <option value="{{brand_type.brand_type}}" {% if selected.brand_type==brand_type.brand_type %} selected {% endif %}>{{brand_type.brand_type}}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-view-stream"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="brand_group" id="brand_group_filter" data-placeholder="Grupo Marca">
                                <option></option>
                                {% for brand_group in brand_groups %}
                                    <option value="{{brand_group.group_brand_id}}" {% if selected.brand_group==brand_group.group_brand_id %} selected {% endif %}>{{brand_group.group_brand_name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-10">
                    <button type="submit" class="btn btn-primary"><i class="zmdi zmdi-search"></i> Buscar</button>
                </div>
            </div>
        </form>
    </div>
</div>

<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col-sm-9">
                <h2>Listado de marcas</h2>
            </div>
            <div class="col-sm-3 text-right">
                <button type="button" class="btn palette-Orange bg" id="create-brand" data-toggle="modal" href="#modalDefault">
                    <i class="zmdi zmdi-plus-circle-o"></i> Nueva marca
                </button>
            </div>
        </div>
        <br><br>
    </div>
    <div class="table-responsive">
        <table id="data-table-brands" class="table table-striped table-condensed table-vmiddle">                          
            <thead>
                <tr>
                    <th data-column-id="id" data-type="numeric"  data-order="asc" data-identifier="true">#Nro</th>                                    
                    <th data-column-id="brand">Nombre</th>
                    <th data-column-id="type">Tipo</th>
                    <th data-column-id="group">Grupo</th>
                    <th data-column-id="group_id" data-visible="false">Grupo ID</th>
                    <th data-column-id="commands" data-formatter="commands" data-sortable="false">Acción</th>
                </tr>
            </thead>
            <tbody>
                {% for brand in brands %}
                    <tr>
                        <td>{{brand.brand_id}}</td>
                        <td>{{brand.brand_name}}</td>
                        <td>{{brand.brand_type}}</td>
                        <td>{{brand.group_brand_name}}</td>
                        <td>{{brand.group_brand_id}}</td>
                    </tr>
                {% else%}
                    <tr>
                        <td colspan="4"></td>
                    </tr>
                {% endfor %} 
            </tbody>
        </table>
    </div>
</div>

<!-- ////////////////////////////////////////////////////////////////// -->

<!-- ////////////////////////////////////////////////////////////////// -->

<!-- Modal Default -->
<div class="modal fade" id="modalDefault" tabindex="-1" role="dialog" aria-hidden="true">
    <form role="form" id="form-new-brand">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Nueva Marca</h4>
                </div>
                <div class="modal-body">
                    <div id="modal-msg" style="display: none"></div>
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-tag-more"></i></span>
                                <div class="fg-line">					
                                    <input type="text" class="form-control" id="brand_name" name="brand_name" placeholder="Marca">
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" id="brand_id" name="brand_id">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-25">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-view-stream"></i></span>
                                <div class="fg-line">										
                                    <select class="selectpicker" name="brand_type" id="brand_type" title="Tipo de marca">
                                        {% for brand_type in brand_types %}
                                            <option value="{{brand_type.brand_type}}">{{brand_type.brand_type}}</option>
                                        {% endfor %}
                                        <option value="otra">Otra</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-25">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-group"></i></span>
                                <div class="fg-line">										
                                    <select class="selectpicker" name="brand_group" id="brand_group" title="Grupo marca">
                                        {% for brand_group in brand_groups %}
                                            <option value="{{brand_group.group_brand_id}}">{{brand_group.group_brand_name}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-25">
                            <div class="input-group" style="display: none">
                                <span class="input-group-addon"><i class="zmdi zmdi-view-stream"></i></span>
                                <div class="fg-line">
                                    <input type="text" class="form-control" id="brand_type_name" name="brand_type_name" placeholder="Nombre" disabled>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-header">
                    <h4 class="modal-title">Usuarios relacionados</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-account-add"></i></span>
                                <div class="fg-line">										
                                    <select class="chosen" name="brand_users[]" id="brand_users" data-placeholder="Usuarios" multiple>
                                        {% for user in users %}
                                            <option value="{{user.user_id}}">{{user.user_fullname}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
                    <button type="button" class="btn btn-success save-brand">Guardar</button>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- //////////////////////END-BRAND-LIST////////////////////////////// -->